In this year starting with glorious month of Ramzan, we'll do even more to expand our mission and provide more dialysis beds and computer training rooms and NEED YOUR HELP we need 8 additional dialysis machine which costs approx INR 6 lakhs each. The civil works has already been started.